#include "Terrain/ConstantBuffers.hlsl"
#include "Terrain/ClipmapCommonPS.hlsl"

float4 main(VertexIn In) : SV_Target
{
  if (!testClipping(In)) discard;

  float3 position = In.ScreenPosition.xyz / In.ScreenPosition.w;

  return float4(position.zxy, 1);
}
